@import '../../styles/variables/colors';

.countrySelectWrapper {
  position: relative;
  width: max-content;
  height: 30px;
  font-size: 1.5rem;
  font-weight: 200;
  color: rgba(67, 79, 80, 0.6980392157);
  text-align: left;
  display: flex;
  cursor: pointer;
}
.listWrapper {
  position: absolute;
  width: 200px;
  background-color: white;
  top: 110%;
  list-style: none;
  max-height: 120px;
  overflow-y: scroll;
  border-radius: 0.5rem;
  padding-inline-start: 0;
  z-index: 9;
  text-align: left;
}

.listChild {
  padding: 0.5rem;
  display: flex;
  align-items: center;
  font-size: 1rem;
  font-weight: 400;
  &:hover {
    background-color: lightgoldenrodyellow;
    cursor: pointer;
  }
  & > * + * {
    margin-left: 0.5rem;
  }
}

.flagInput {
  border: none;
  outline: none;
  width: 100%;
  padding: 8px;
  border-bottom: 1px solid black;
  font-size: 1.2rem;

  &::placeholder {
    font-size: 1rem;
  }
}

.nodata {
  padding: 8px;
  font-size: 1.2rem;
}

.selectedCountryFlag {
  margin-right: 0.35rem;
  position: relative;
  bottom: 3px;
  border-radius: 20px;
  cursor: pointer;
}
.flagImg {
  border-radius: 50% !important;
}
.dialCode {
  margin-right: 0.5rem;
  font-weight: 400;
  color: $black-100;
}

.downArrow {
  svg {
    transition: 300ms ease-in-out;
  }
}
.downArrow.up {
  svg {
    transform: rotate(180deg);
  }
}
